Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1555491 - R-AnnotationDbi: FTBFS in F28
Summary: R-AnnotationDbi: FTBFS in F28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: R-AnnotationDbi
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 19:10 UTC by Fedora Release Engineering
Modified: 2018-07-20 17:42 UTC (History)
1 user (show)

Fixed In Version: R-AnnotationDbi-1.42.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-20 17:42:01 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-05-28 22:24 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2018-05-28 22:24 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-28 22:24 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-03-14 19:10:14 UTC
Your package R-AnnotationDbi failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24763887

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Fedora Release Engineering 2018-05-28 22:24:34 UTC
Created attachment 1444628 [details]
build.log

Comment 2 Fedora Release Engineering 2018-05-28 22:24:39 UTC
Created attachment 1444629 [details]
root.log

Comment 3 Fedora Release Engineering 2018-05-28 22:24:42 UTC
Created attachment 1444631 [details]
state.log

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:09:50 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 5 Pierre-YvesChibon 2018-07-10 09:49:28 UTC
This builds in rawhide.

Comment 6 Fedora Update System 2018-07-10 09:56:51 UTC
R-AnnotationDbi-1.42.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bb14533eca

Comment 7 Fedora Update System 2018-07-11 23:42:09 UTC
R-AnnotationDbi-1.42.1-1.fc28, R-BSgenome-1.48.0-1.fc28, R-BSgenome.Celegans.UCSC.ce2-1.4.0-6.fc28, R-DynDoc-1.58.0-1.fc28, R-GenomicFeatures-1.32.0-1.fc28, R-affydata-1.28.0-1.fc28, R-hgu133acdf-2.18.0-1.fc28, R-hgu95av2cdf-2.18.0-1.fc28, R-hgu95av2probe-2.18.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bb14533eca

Comment 8 Fedora Update System 2018-07-20 17:42:01 UTC
R-AnnotationDbi-1.42.1-1.fc28, R-BSgenome-1.48.0-1.fc28, R-BSgenome.Celegans.UCSC.ce2-1.4.0-6.fc28, R-DynDoc-1.58.0-1.fc28, R-GenomicFeatures-1.32.0-1.fc28, R-affydata-1.28.0-1.fc28, R-hgu133acdf-2.18.0-1.fc28, R-hgu95av2cdf-2.18.0-1.fc28, R-hgu95av2probe-2.18.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.